Package fr.gouv.vitam.metadata.core.metrics

# Class MetadataReconstructionMetricsCache

java.lang.Object
fr.gouv.vitam.metadata.core.metrics.MetadataReconstructionMetricsCache

@ThreadSafe public class MetadataReconstructionMetricsCache extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataReconstructionMetricsCache(long cacheDuration, TimeUnit cacheDurationUnit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getDocumentReconstructionLatency(MetadataCollections metadataCollection, int tenant, String strategy)`
  `Duration`
  `getGraphReconstructionLatency(MetadataCollections metadataCollection)`
  `void`
  `registerLastDocumentReconstructionDate(MetadataCollections metadataCollection, int tenant, String strategy, LocalDateTime lastDocumentReconstructionDate)`
  `void`
  `registerLastGraphReconstructionDate(MetadataCollections metadataCollection, LocalDateTime lastGraphReconstructionDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataReconstructionMetricsCache

    public MetadataReconstructionMetricsCache(long cacheDuration, TimeUnit cacheDurationUnit)

- ## Method Details

  - ### registerLastDocumentReconstructionDate

    public void registerLastDocumentReconstructionDate(MetadataCollections metadataCollection, int tenant, String strategy, LocalDateTime lastDocumentReconstructionDate)

  - ### getDocumentReconstructionLatency

    public Duration getDocumentReconstructionLatency(MetadataCollections metadataCollection, int tenant, String strategy)

  - ### registerLastGraphReconstructionDate

    public void registerLastGraphReconstructionDate(MetadataCollections metadataCollection, LocalDateTime lastGraphReconstructionDate)

  - ### getGraphReconstructionLatency

    public Duration getGraphReconstructionLatency(MetadataCollections metadataCollection)